#ifndef ActorSession_h
#define ActorSession_h

#include "reflector/StorageReflectSession.h"
#include "TheaterConstants.h"

namespace theater {

/** This session represents the connection to a single player */
class ActorSession : public StorageReflectSession
{
public:
   ActorSession(const String & name);
   virtual ~ActorSession();

   /** Overridden to upload our name and (optionally) our state to the server */
   virtual status_t AttachedToServer();

   /** Overridden to handle /pings, and only /pings */
   virtual void MessageReceivedFromGateway(MessageRef msg, void *);

   /** Causes us to recite the given line of text. */
   status_t ReciteLine(const String & line);

   /** Causes us to set our status display to the given string */
   status_t SetStatus(const String & status);

protected:
   virtual const char * GetTypeName() const {return "Actor";}

private:
   String _name;
};

};  // end namespace theater

#endif
